# ArrayList

class ArrayList implements Collection

ArrayList

## Methods

__construct(array $data = array())

No description

clear()

No description

get($key)

No description

set($key, $value)

No description

add($key, $value)

No description

remove($key)

No description

bool
hasKey(mixed $key)

No description

mixed
hasValue(string $value)

No description

ArrayList
replace(array $data)

No description

getIterator()

No description

offsetGet($offset)

No description

offsetSet($offset, $value)

No description

offsetExists($offset)

No description

offsetUnset($offset)

No description

array
toArray()

Get the array representation of an object

count()

No description

## Details

###
at line 42
`__construct(array $data = array())`

#### Parameters

array | $data |

###
at line 46
`clear()`

###
at line 51
`get($key)`

#### Parameters

| $key |

###
at line 55
`set($key, $value)`

#### Parameters

| $key |
| $value |

###
at line 60
`add($key, $value)`

#### Parameters

| $key |
| $value |

###
at line 74
`remove($key)`

#### Parameters

| $key |

###
at line 85
`bool hasKey(mixed $key)`

#### Parameters

mixed | $key |

#### Return Value

bool |

###
at line 95
`mixed hasValue(string $value)`

#### Parameters

string | $value |

#### Return Value

mixed |

###
at line 105
`ArrayList replace(array $data)`

#### Parameters

array | $data |

#### Return Value

ArrayList |

###
at line 111
`getIterator()`

###
at line 116
`offsetGet($offset)`

#### Parameters

| $offset |

###
at line 121
`offsetSet($offset, $value)`

#### Parameters

| $offset |
| $value |

###
at line 126
`offsetExists($offset)`

#### Parameters

| $offset |

###
at line 131
`offsetUnset($offset)`

#### Parameters

| $offset |

###
at line 136
`array toArray()`

Get the array representation of an object

#### Return Value

array |

###
at line 141
`count()`